getFilters.v1
This pipeline retrieves the possible filters, for a specific category or searchPhrase. Only one of both filter methods can be used at once.
Request Body
Section titled “Request Body”object
The categoryId, but only “flat”, it will not “dive into” subcategories
A search phrase to search for, not compatible with categoryId, use a category-filter, if you want to search inside categories
The key is the filterId or name of filter, like categories, manufacturer or other attributes/options/properties like “Größe”. The value has to be an object with a values key, that holds an array of strings (the “id” from the filters-endpoint) or minimum and/or maximum integer values. If the filters object (from the filters-endpoint) delivers a source too, you have to send it too. For categories you have to give the content of the id property, which is the name/path of the category, not the category id itself.
object
object
The minimum value for this filter, can not be combined with values.
The maximum value for this filter, can not be combined with values.
The value of the source property from the filters endpoint
Examplegenerated
{ "categoryId": "example", "searchPhrase": "example", "filters": { "additionalProperty": { "minimum": 1, "maximum": 1, "values": [ "example" ], "source": "example" } }}Responses
Section titled “Responses”Successful response.
object
object
object
The id (or name) of this filter
The label of the filter that is showed to the user
If the type is select, a range will be displayed as a slider with a minimum and a maximum value. If it is multiselect, the customer will have different options to select from and the maximum property limits the number of selectable options for this filter. A value of one for this means that this will be a singleselect.
The source this filter was generated from, please send it with your values array, when filtering
Only used with type range to provide the selectable miminum value for this filter.
Used with type range to provide the selectable maximum value for this filter. With type multiselect, this gives the number of selectable values.
The selectable values if type is multiselect
object
The id of this value
The label that is showed to the customer
Example
{ "output": { "filters": [ { "id": "filter23", "label": "Price range", "type": "range", "minimum": 42, "maximum": 876 } ] }}EUNKNOWN
Section titled “EUNKNOWN”An internal error occurred.
object
object
Example
{ "error": { "code": "EUNKNOWN", "message": "An internal error occurred." }}
